{
  pkgs,
  lib,
  config,
  ...
}: let
  program = "udiskie";
  cfg = config.dots.${program};
  home_dir = config.home.homeDirectory;
in {
  options.dots.${program} = {
    enable = lib.mkEnableOption "enables ${program}";
  };

  config = lib.mkIf cfg.enable {
    services.${program} = {
      enable = true;
      automount = true;
      notify = true;
      tray = "auto";
      settings = {
        program_options = {
        };
        device_config = [
          {
            id_uuid = ["4E21-0000" "9EA2-A886"];
            automount = true;
          }
          {
            id_type = "ntfs";
            skip = "true";
          }
        ];
      };
    };

    # add userspace tools
    home.packages = with pkgs; [udiskie];
  };
}
